/* ****************************
  ESP NOW SERVER (RECEIVER, SLAVE)
 * *************************** */

#pragma once

extern uint16_t actualPattern;                              // defined in main tab - needed for the message
extern Message messageData;                                 // defined in main tab - needed for the message

// callback when new data came in
void serverOnData(const uint8_t *macAddress, const uint8_t *incomingData, int dataLength) {
  memcpy(&messageData, incomingData, sizeof(messageData));
  actualPattern = messageData.index;
  if (actualPattern >= totalNoPattern) actualPattern = 0;  // don't trust blind others data to much
  set(actualPattern);
  actualInterval = pattern[actualPattern].interval;
  lastMillis = millis();
  Serial.print("received actualPattern:"); Serial.println(actualPattern);
}

// to be called in setup
void serverSetup() {
  if (esp_now_init() != ESP_OK) {
    Serial.println("Error init ESP-NOW");
    return;
  }
  esp_now_register_recv_cb(serverOnData);
}
//
